# Place multiple bids (https://developer.godaddy.com/en/docs/references/rest/auctions/place-bids)

---
title: Place multiple bids
full: true
---

## POST /v1/customers/{customerId}/aftermarket/listings/bids

Place multiple bids

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string <uuid> | yes | Customer identifier (UUID). Use `MY` for the authenticated customer's own data, or supply the UUID returned by `GET /v1/shoppers/{shopperId}?includes=customerId`. |

### Request body (required)

An array of bids to be placed.

Content-Type: `application/json`

Schema:

- array
  - items:

### Responses

**200** — All bids placed successfully.

Content-Type: `application/json`

```json
[
  {
    "listingId": 200000,
    "isHighestBidder": "true",
    "bidId": "e8f0a45d-53c6-49e5-a1f2-08b993960e1b",
    "bidAmountUsd": 100000000,
    "status": "SUCCESS"
  }
]
```

Schema:

- array
  - items:

**207** — Partial success.

Content-Type: `application/json`

```json
[
  {
    "listingId": 200000,
    "isHighestBidder": "true",
    "bidId": "e8f0a45d-53c6-49e5-a1f2-08b993960e1b",
    "bidAmountUsd": 100000000,
    "status": "SUCCESS"
  },
  {
    "listingId": 300000,
    "bidAmountUsd": 100000000,
    "bidFailureReason": "BID_MIN_NOT_MET",
    "status": "FAILED"
  }
]
```

Schema:

- array
  - items:

**400** — Query string and/or request body are malformed

Content-Type: `application/json`

```json
{
  "code": "MALFORMED_INPUT",
  "message": "The request was malformed"
}
```

Schema:

- schema reference: `#/components/schemas/Error`

**401** — Authentication info not sent or is invalid

Content-Type: `application/json`

```json
{
  "code": "UNABLE_TO_AUTHENTICATE",
  "message": "Unauthorized : Could not authenticate API key/secret"
}
```

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

```json
{
  "code": "MISSING_CREDENTIALS",
  "message": "Unauthorized : Credentials must be specified"
}
```

Schema:

- schema reference: `#/components/schemas/Error`

**422** — Application-specific request error

Content-Type: `application/json`

```json
{
  "code": "DUPLICATE_BIDS",
  "message": "Bidding request contains multiple bids for listingID 200000"
}
```

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

```json
{
  "code": "TOO_MANY_REQUESTS",
  "message": "Too many requests received within interval"
}
```

Schema:

- schema reference: `#/components/schemas/Error`

**500** — Internal server error

Content-Type: `application/json`

```json
{
  "code": "SERVER_ERROR",
  "message": "Internal server error"
}
```

Schema:

- schema reference: `#/components/schemas/Error`
